# Interface VulkanExtKHRSwapChainType.VulkanKHRSwapChainType

All Superinterfaces:
  `AutoCloseable`, `VulkanHandleType`

Enclosing interface:
  `VulkanExtKHRSwapChainType`

public static interface VulkanExtKHRSwapChainType.VulkanKHRSwapChainType extends VulkanHandleType
A created swap chain.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanSwapChainImageAcquisition`
  `acquireImageWithFence(long timeout, VulkanFenceType fence)`
  Attempt to acquire an image from the swap chain.
  `VulkanSwapChainImageAcquisition`
  `acquireImageWithSemaphore(long timeout, VulkanSemaphoreType semaphore)`
  Attempt to acquire an image from the swap chain.
  `VulkanSwapChainImageAcquisition`
  `acquireImageWithSemaphoreAndFence(long timeout, VulkanSemaphoreType semaphore, VulkanFenceType fence)`
  Attempt to acquire an image from the swap chain.
  `List<VulkanImageType>`
  `images()`

  ### Methods inherited from interface com.io7m.jcoronado.api.VulkanHandleType

  `close, isClosed`

- ## Method Details

  - ### images

    List<VulkanImageType> images() throws VulkanException
    Returns:
      The list of images associated with the swap chain
    Throws:
      `VulkanException` - On errors

  - ### acquireImageWithSemaphore

    VulkanSwapChainImageAcquisition acquireImageWithSemaphore(long timeout, VulkanSemaphoreType semaphore) throws VulkanException
    Attempt to acquire an image from the swap chain. If `timeout` is `0`, the method will return immediately. If `timeout` is `0xffffffff_ffffffff`, the method will wait indefinitely.
    Parameters:
      `timeout` - A timeout value in nanoseconds.
      `semaphore` - A semaphore that will be signalled when an image is available
    Returns:
      An image acquisition
    Throws:
      `VulkanException` - On errors

  - ### acquireImageWithFence

    VulkanSwapChainImageAcquisition acquireImageWithFence(long timeout, VulkanFenceType fence) throws VulkanException
    Attempt to acquire an image from the swap chain. If `timeout` is `0`, the method will return immediately. If `timeout` is `0xffffffff_ffffffff`, the method will wait indefinitely.
    Parameters:
      `timeout` - A timeout value in nanoseconds.
      `fence` - A fence that will be signalled when an image is available
    Returns:
      An image acquisition
    Throws:
      `VulkanException` - On errors

  - ### acquireImageWithSemaphoreAndFence

    VulkanSwapChainImageAcquisition acquireImageWithSemaphoreAndFence(long timeout, VulkanSemaphoreType semaphore, VulkanFenceType fence) throws VulkanException
    Attempt to acquire an image from the swap chain. If `timeout` is `0`, the method will return immediately. If `timeout` is `0xffffffff_ffffffff`, the method will wait indefinitely.
    Parameters:
      `timeout` - A timeout value in nanoseconds.
      `semaphore` - A semaphore that will be signalled when an image is available
      `fence` - A fence that will be signalled when an image is available
    Returns:
      An image acquisition
    Throws:
      `VulkanException` - On errors